package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 设备状态 (0.未激活，1.离线,2.在线)枚举类
*
* @author zxfei
*/
public enum DeviceStatusEnum {
    未激活(0, "未激活"),
    离线(1, "离线"),
    在线(2, "在线");
    private Integer value;
    private String desc;

    DeviceStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DeviceStatusEnum getByValue(Integer value) {
        for (DeviceStatusEnum deviceStatusEnum : DeviceStatusEnum.values()) {
            if (deviceStatusEnum.getValue() == value) {
                return deviceStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DeviceStatusEnum item : DeviceStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}